UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRawUint32 Class Reference

An LBMSDMRawUint32 is a helper class to minimise the effort of formatting and parsing unsigned 32 bit integers. More...

Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRawUint32:

## Public Member Functions
virtual void | set (uint v)
| Set a uint32 field providing the value as a long. More...
| LBMSDMRawUint32 ()
| Create a raw uint32 field, defaulting to 0.
| LBMSDMRawUint32 (uint v)
| Set a raw uint16 field providing the value as a long. More...
virtual int | format (byte[] buf, int offset)
| Format the raw uint32 value into a byte buffer. More...
override System.String | ToString ()
| Get a string version of an uint16. More...
virtual int | parse (byte[] buf, int offset)
| Parse the raw uint32 value from a byte buffer. More...
virtual uint | toUint ()
| Get the long representation of the uint32. More...
virtual new System.Object | Clone ()
| Get a copy of this object. More...
virtual System.String | toDbgString ()
| Get a debug string for this object. This is not expected to be called and exists for child classes. More...
virtual void | set_debug_level (int level)
| Set the debug level for processing this SDM message. Currently all debugs go to standard out. More...
virtual void | log (System.String s)
| Log an event. If debug level is set greater than 0, output to stderr. More...

## Static Public Member Functions
static int | format (byte[] buf, int offset, uint v)
| Format a uint32 value into a byte buffer. More...
static uint | parse_s (byte[] buf, int offset)
| Parse the raw uint32 value from a byte buffer. More...

## Public Attributes
const int | length = 4
| The number of bytes needed to store a raw LBMSDMRawUint32.
const int | DEBUG_BASIC = 1
| Debug flag for basic debug output.
const int | DEBUG_VERBOSE_PARSING = 2
| Debug flag for verbose message parsing output.

## Detailed Description

An LBMSDMRawUint32 is a helper class to minimise the effort of formatting and parsing unsigned 32 bit integers.

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMRawUint32.LBMSDMRawUint32 | ( | uint | v | ) |

Set a raw uint16 field providing the value as a long.

Parameters

  v | The long to seed this raw object

## Member Function Documentation

virtual new System.Object com.latencybusters.lbm.sdm.LBMSDMRawUint32.Clone | ( |  | ) |
| virtual

Get a copy of this object.

Returns
  A copy of the uint32

References com.latencybusters.lbm.sdm.LBMSDMRawUint32.Clone().

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawUint32.Clone().

static int com.latencybusters.lbm.sdm.LBMSDMRawUint32.format | ( | byte[] | buf,
|  | int | offset,
|  | uint | v
| ) |  |
| static

Format a uint32 value into a byte buffer.

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting
  v | The value of the uint32 to be formatted

Returns
  The offset after formatting the int

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.format(), com.latencybusters.lbm.sdm.LBMSDMFieldString.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUnicode.toDbgString(), and com.latencybusters.lbm.sdm.LBMSDMFieldBlob.toDbgString().

virtual int com.latencybusters.lbm.sdm.LBMSDMRawUint32.format | ( | byte[] | buf,
|  | int | offset
| ) |  |
| virtual

Format the raw uint32 value into a byte buffer.

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting

Returns
  The offset after formatting this object

virtual void com.latencybusters.lbm.sdm.LBMSDM.log | ( | System.String | s | ) |
| virtual inherited

Log an event. If debug level is set greater than 0, output to stderr.

Parameters

  s | String containing the event to log

virtual int com.latencybusters.lbm.sdm.LBMSDMRawUint32.parse | ( | byte[] | buf,
|  | int | offset
| ) |  |
| virtual

Parse the raw uint32 value from a byte buffer.

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  the new offset after parsing the field

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.parse().

static uint com.latencybusters.lbm.sdm.LBMSDMRawUint32.parse_s | ( | byte[] | buf,
|  | int | offset
| ) |  |
| static

Parse the raw uint32 value from a byte buffer.

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  the new offset after parsing the field

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawFloat.parse_s().

virtual void com.latencybusters.lbm.sdm.LBMSDMRawUint32.set | ( | uint | v | ) |
| virtual

Set a uint32 field providing the value as a long.

Parameters

  v | The long to seed this raw object

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.set().

virtual void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| virtual inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

Parameters

  level | Debug level to set

virtual System.String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |
| virtual inherited

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

override System.String com.latencybusters.lbm.sdm.LBMSDMRawUint32.ToString | ( |  | ) |

Get a string version of an uint16.

Returns
  A string representation of the uint16

virtual uint com.latencybusters.lbm.sdm.LBMSDMRawUint32.toUint | ( |  | ) |
| virtual

Get the long representation of the uint32.

Returns
  A long with the value of the object

The documentation for this class was generated from the following file:

- LBMSDMRawUint32.cs